API referenceIncidents
List incidents
Lists the project's incidents, newest first, cursor-paginated. Filter to unresolved incidents with active_only=true.
Authorization
bearerAuth AuthorizationBearer <token>
An uptimely_live_ project API key (Settings → API Keys).
In: header
Query Parameters
limit?integer
Maximum number of items to return (1-100).
Range
1 <= value <= 100Default
25after?string
Opaque cursor from a previous page's next_cursor — omit for the first page. Reusing a cursor with DIFFERENT query parameters (e.g. a different limit) answers 400 validation_failed.
active_only?string
When true, only incidents whose state is not resolved.
Default
"false"Value in
- "true"
- "false"
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/incidents"{ "data": [ { "id": "string", "number": 0, "title": "string", "description": "string", "state": { "name": "string", "color": "string", "is_resolved": true }, "severity": { "name": "string", "color": "string" }, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "has_more": true, "next_cursor": "string"}